Subject: Re: bug#25959: No stop button in gdb toolbar

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Mar 2017 20:53:57 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 06 Mar 2017 13:01:08 -0500
> 
> With:
> 
>   GNU gdb (GDB) Red Hat Enterprise Linux 7.11-67.el7
> 
> the stop buttons appears, but clicking it doesn't stop the program.
> gdb-running-threads-count remains at 0 while the process is running.
> gdb-non-stop is now nil.
> 
> If I type: C-c C-c the program stops and a Go button appears.
> If I click that, I get both a Stop and a Go button.
> gdb-stopped-threads-count is 1, and gdb-running-threads-count remains
> at 0. This is with gdb-gud-control-all-threads t, the default.

And if you revert that hunk, then the behavior is more according to
expectations, with GDB 7.11?